
Public Support - Support Request #1153

ADTFS-47664 ADTF3 ADTFDAT File format compared with ADTF2 DAT File format

2017-09-11 08:30 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9189

Department: SUPPORT Affected Products: ADTF 3.1.0

Requester's Priority: Normal Platform: Ubuntu 16.04 64bit, Windows 7 64bit

Support Level: 3rd Level Topic: ADTF::Doc

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

Guten Morgen,

habt Ihr Informationen darüber was die Unterschiede zwischen dem ADTF 2 DAT File Format und dem ADTF 3 DAT File Format

sind?

Danke und viele Grüße,

Anja

Lösung

Großer Unterschied ist, dass Chunks nicht nur Samples beinhalten können sondern auch Stream Types (Die werden einfach als

XML String serialisiert). Auch die Stream Index Extensions haben sich dahingehend geändert, dass dort nun der initiale StreamType

als XML abgelegt ist (und nicht mehr ein binär serialisierter MediaType). DOrt liegt jetzt auch die Class ID der Serialisierung anstatt

der Class ID der Sample Implementierung.

Wenn Sie es genau wissen wollen, sollen sie sich einfach die adtf_file library ansehen, das IndexedFile Format hat sich nicht

geändert, nur die Versionsnummer in den Files wurde erhöht um sie unterscheiden zu können.

History

#1 - 2017-09-11 14:03 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to ADTF::Doc

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.1.0 added

- Platform Ubuntu 16.04 64bit, Windows 7 64bit added

#2 - 2017-09-11 17:56 - hidden

- Subject changed from ADTFS-47664 ADTF3 DAT File format to ADTFS-47664 ADTF3 ADTFDAT File format

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9189

- Support Level changed from 2nd Level to 3rd Level

Hallo Anja,

nein, das gibt es so noch nicht, ich habe dazu ein Ticket angelegt (https://www.cip.audi.de/jira/browse/ACORE-9189).
Allerdings ist die Prio dafür nicht so hoch bzw. die Anforderung indirekt erfüllt, da alles rund um das ADTFDAT nun Open Source ist, siehe 

https://support.digitalwerk.net/projects/download-center/repository/show/adtf-libraries/adtf-file-library

Dennoch macht es Sinn, das noch ein bisschen aufzubereiten.

Ist deine Frage damit geklärt ?

#3 - 2017-09-14 11:27 - hidden

Bitte um Rückmeldung bis zum Ende der Woche, ich würde das Ticket gerne abschließen

#4 - 2017-09-15 08:15 - hidden

Hallo Florian,

Sorry für die späte Antwort. Die Kommunikation mit unseren Japanern hat etwas gedauert.

Habt ihr nicht vielleicht zumindest eine kurze, grobe Beschreibung was sich zwischen den ADTF 2 und ADTF 3 DATs geändert hat? Der Kunde

möchte sich eigentlich erstmal einen groben Überblick verschaffen.

Danke und Grüße,

Anja

#5 - 2017-09-15 14:23 - hidden

- Status changed from Customer Feedback Required to In Progress

Hallo Anja,

nein haben wir nicht, das soll ja im Ticket aufbereitet werden.

Grob gesagt, wurden die Anpassungen an die "neuen" Streamtypes gemacht, es gibt keine Major/Subtypes mehr, ansonsten ist es genauso ein

Indexed File wie in ADTF 2.x mit Streams, Header und Extension.

Eine Erweiterung ist, dass die Datenbeschreibung (Stichwort Media Description) nun vorhanden ist.

Der Rest muss im Ticket gemacht werden.

@Martin: Anmerkungen ?

#6 - 2017-09-15 14:38 - hidden

Grob:

Großer Unterschied ist, dass Chunks nicht nur Samples beinhalten können sondern auch Stream Types (Die werden einfach als XML String

serialisiert). Auch die Stream Index Extensions haben sich dahingehend geändert, dass dort nun der initiale StreamType als XML abgelegt ist (und

nicht mehr ein binär serialisierter MediaType). DOrt liegt jetzt auch die Class ID der Serialisierung anstatt der Class ID der Sample Implementierung.

Wenn Sie es genau wissen wollen, sollen sie sich einfach die adtf_file library ansehen, das IndexedFile Format hat sich nicht geändert, nur die

Versionsnummer in den Files wurde erhöht um sie unterscheiden zu können.

#8 - 2017-09-15 15:39 - hidden

- Status changed from In Progress to Customer Feedback Required

#9 - 2017-09-21 13:43 - hidden

Noch Fragen offen ?

Ansonsten würde ich das Ticket morgen gerne abschließen.

#10 - 2017-09-25 08:57 - hidden

- Subject changed from ADTFS-47664 ADTF3 ADTFDAT File format to ADTFS-47664 ADTF3 ADTFDAT File format compared with ADTF2 DAT File

format

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

Erledigt, kein weiteres Feedback

#11 - 2017-09-25 08:57 - hidden

- Status changed from To Be Closed to Closed
#12 - 2018-01-25 12:04 - hidden

- Project changed from 7 to Public Support

- Private changed from Yes to No
